Bug 19619 - Add support for SIP2 field CM ( Hold Pickup Date ) to Koha
Summary: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 16:09 UTC by Kyle M Hall
Modified: 2019-04-26 13:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 19619: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha (1.51 KB, patch)
2019-01-08 15:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19619: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha (1.54 KB, patch)
2019-03-12 18:19 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 19619: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha (1.59 KB, patch)
2019-04-15 04:29 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-11-13 16:09:58 UTC
Add support for SIP2 field CM ( Hold Pickup Date ) to Koha
Comment 1 Kyle M Hall 2019-01-08 15:44:48 UTC
Created attachment 83716 [details] [review]
Bug 19619: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha

The CM field was all set up for implementation, but never completed.
We should fully implement the CM ( Hold Pickup Date ), which according
to the SIP2 protocol specification is "The date that the hold expires".

Test Plan:
1) Set up a waiting hold for an item
2) Using the sip cli emulator, send an item information request for that item
3) Note the CM field does not show up
4) Apply this patch
5) Restart all the things!
6) Repeat the item information request
7) Note the CM field is now transmitted!
Comment 2 Liz Rea 2019-03-12 18:19:23 UTC
Created attachment 86548 [details] [review]
Bug 19619: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha

The CM field was all set up for implementation, but never completed.
We should fully implement the CM ( Hold Pickup Date ), which according
to the SIP2 protocol specification is "The date that the hold expires".

Test Plan:
1) Set up a waiting hold for an item
2) Using the sip cli emulator, send an item information request for that item
3) Note the CM field does not show up
4) Apply this patch
5) Restart all the things!
6) Repeat the item information request
7) Note the CM field is now transmitted!

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Chris Cormack 2019-04-15 04:29:14 UTC
Created attachment 87994 [details] [review]
Bug 19619: Add support for SIP2 field CM ( Hold Pickup Date ) to Koha

The CM field was all set up for implementation, but never completed.
We should fully implement the CM ( Hold Pickup Date ), which according
to the SIP2 protocol specification is "The date that the hold expires".

Test Plan:
1) Set up a waiting hold for an item
2) Using the sip cli emulator, send an item information request for that item
3) Note the CM field does not show up
4) Apply this patch
5) Restart all the things!
6) Repeat the item information request
7) Note the CM field is now transmitted!

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Nick Clemens 2019-04-18 12:06:28 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 13:59:05 UTC
Enhancement will not be backported to 18.11.x series.